﻿#language: ru

@milk_reception

Функционал: 01_milk_reception.01.015 Заполнение констант

Сценарий: 01_milk_reception.01.015 Заполнение констант
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И я устанавливаю флаг 'Вести учет по сменам'
	И из выпадающего списка "Формат времени нормы хранения" я выбираю точное значение 'ч'
	И я нажимаю кнопку выбора у поля "Единица измерения веса"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Показатель плотности"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я перехожу к закладке "Баланс жира и белка"
	И я нажимаю кнопку выбора у поля "Номенклатура потерь"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 	|
		| 'milk_rec_Потери' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Белкокилограммы"
	Тогда открылось окно 'Выберите единицу измерения'
	И я выбираю пункт контекстного меню "Создать" на элементе формы с именем "Список"
	Тогда открылось окно 'Единица измерения (создание)'
	И в поле 'Наименование' я ввожу текст 'бкг'
	И в поле 'Полное наименование' я ввожу текст 'бкг'
	И из выпадающего списка "Тип измеряемой величины" я выбираю точное значение 'Вес'
	И в поле 'Кратность' я ввожу текст '1,000'
	И в поле 'КоличествоВБазовойЕдиницеИзмерения' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Единица измерения (создание)' в течение 20 секунд
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Жирокилограммы"
	Тогда открылось окно 'Выберите единицу измерения'
	И я выбираю пункт контекстного меню "Создать" на элементе формы с именем "Список"
	Тогда открылось окно 'Единица измерения (создание)'
	И в поле 'Наименование' я ввожу текст 'жкг'
	И в поле 'Полное наименование' я ввожу текст 'жкг'
	И из выпадающего списка "Тип измеряемой величины" я выбираю точное значение 'Вес'
	И в поле 'Кратность' я ввожу текст '1,000'
	И в поле 'КоличествоВБазовойЕдиницеИзмерения' я ввожу текст '1,000'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Единица измерения (создание)' в течение 20 секунд
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "М.д. белка"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Код'         | 'Наименование' |
		| '00-00000002' | 'МДБ'          |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "М.д. жира"
	Тогда открылось окно 'Показатели анализов номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Код'         | 'Наименование' |
		| '00-00000001' | 'МДЖ'          |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И в поле 'Белок' я ввожу текст '0,6'
	И в поле 'Базисный белок, %' я ввожу текст '3,00'
	И в поле 'Базисный жир, %' я ввожу текст '3,40'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 20 секунд

Сценарий: 01_milk_reception.01.015 Закрытие клиента
	И я закрываю сеанс TESTCLIENT